Subject: bug#24401

From: Davor Rotim <[email-masked]>
Date: Thu, 01 Dec 2016 22:29:59 +0100

I think "conditionally disabled" is a better choice since it implies it
should be disabled in the first place.
I hope the attached patch is correct (emacs-25 branch).

Thanks,
Davor Rotim
>From 829f5879e73522c2fe7d23b7a3ecb2f4469867e9 Mon Sep 17 00:00:00 2001
From: Davor Rotim <[email-masked]>
Date: Thu, 1 Dec 2016 22:15:56 +0100
Subject: [PATCH] Add a hint to the warning message of python-mode to avoid
 conflicts.

---
 lisp/progmodes/python.el | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/lisp/progmodes/python.el b/lisp/progmodes/python.el
index d0d4a7f..c977f0b 100644
--- a/lisp/progmodes/python.el
+++ b/lisp/progmodes/python.el
@@ -3455,7 +3455,9 @@ With argument MSG show activation/deactivation message."
             (format "was t and %S is not part of the "
                     (file-name-nondirectory python-shell-interpreter))
             "`python-shell-completion-native-disabled-interpreters' "
-            "list.  Native completions have been disabled locally. "))
+            "list. If you are using GNU Bash check that the colored-stats "
+            "variable is conditionally disabled in your Readline init file. "
+            "Native completions have been disabled locally. "))
           (python-shell-completion-native-turn-off msg))))))
 
 (defun python-shell-completion-native-turn-on-maybe-with-msg ()
-- 
2.10.2